<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Controllers\API\FunctionController;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Staticpage;
use Validator;
use App\Traits\UseAutoIncrementID;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth; 

class UserController extends Controller
{
    /* Register api */
    public function register(Request $request) 
    { 
        $validator = Validator::make($request->all(), [
            'username' => 'required', 
            'phone' => 'required', 
            'email' => 'required', 
            'password' => 'required',
            'age' => 'required',
            'gender' => 'required',
            'score' => 'required',
        ]);
        if ($validator->fails()) { 
            return response()->json(['error'=>$validator->errors()], 401);            
        }
        $input = $request->all(); 
        $pswrd = $input['password'];
        $input['password'] = bcrypt($input['password']); 
        $tkn = md5(rand(1,999999));
        $input['userToken'] = $tkn;
        $input['status'] = 1;
        $input['register_type'] = 'email';

        $email = $input['email'];
		//-------------------Message------------------------------
		
			$msg1 = "User Registered Successfully";
			$msg2 = "User not Registered Successfully";
			$msg3 = "User already Registered with this email";
        
        //-------------------Message------------------------------	
        
	    $user_email = User::query()
					->select('email')
					->where('email',$input['email'])
					->get();
       
		if(count($user_email) <= 0)
		{
            if(isset($input["profilePicture"])) 
            {
                $imagePath = $input["profilePicture"];
                $filename = rand(0000,9999).$imagePath->getClientOriginalName();
                $extension  = pathinfo($imagePath->getClientOriginalName(), PATHINFO_EXTENSION);
                $filename = rand(0000,9999)."profilePicture.".$extension;
                $upload_dir_path = public_path()."/uploads/profilePicture";
                $imagePath->move($upload_dir_path, $filename );  
                $input['profilePicture'] = $filename;          
            }
			/* Generate ID */
        	$input['user_id'] = UseAutoIncrementID::getID('users');

			$user = User::create($input); 
			
			$success['userid'] =  $user->user_id;
            $success['userToken'] =  $user->userToken;
            $success['username'] =  $user->username;
            $success['email'] =  $user->email;
            $success['ConatctNo'] =  $user->phone;
            $success['isActive'] =  $user->status;
			
			if($user->user_id > 0)
			{
				return response()->json(['status'=>1,'message'=>$msg1,'result'=>$success]); 
			}
			else
			{
				return response()->json(['status'=>0,'message'=>$msg2]); 
			}
        }
		else
		{
			return response()->json(['status'=>0,'message'=>$msg3]);
		}
	}
	/* login api */
    public function login(Request $request) 
    { 
        $validator = Validator::make($request->all(), [
            'username' => 'required',
            'password' => 'required',
        ]);
        if ($validator->fails()) { 
            return response()->json(['error'=>$validator->errors()], 401);            
        }
        $input = $request->all(); 
		$username = $input['username'];        
		$password = $input['password']; 
		
		//-------------------Message------------------------------
		$msg1 = "Login Successfully";
		$msg2 = "Username or Password is incorrect";
		$msg3 = "Your Account is not Active";
		//-------------------Message------------------------------	

		/*if (Auth::guard('web')->attempt(['email' => $username, 'password' => $password], false))
		{*/
		$userLogin = User::query()
						->select('*')
						//->where('user_id',Auth::user()->user_id)
						->where('email','=',$username)
						->get();  

		if(count($userLogin)>0)       
        {	
			if(count($userLogin)>0)		
			{
				$tkn = md5(rand(1,999999));
				$update['userToken'] = $tkn;
				$user = User::where('user_id', '=', $userLogin[0]->user_id)->update($update);

				$userData['userid'] =  $userLogin[0]->user_id;
				$userData['username'] =  $userLogin[0]->username;
				$userData['email'] =  $userLogin[0]->email;
                $userData['ConatctNo'] =  $userLogin[0]->phone;
				$userData['userToken'] =  $tkn;
			
				return response()->json(['status'=>1,'message'=>$msg1,'result'=>$userData]); 
			}
			else
			{
				return response()->json(['status'=>0,'message'=>$msg3]); 
			}
		}
		else
		{
			return response()->json(['status'=>0,'message'=>$msg2]); 
		}
	}
    public function forgotpassword(Request $request)
    { 
        $validator = Validator::make($request->all(), [
            'email' => 'required', 
        ]);
        if ($validator->fails()) { 
            return response(['error'=>$validator->errors()], 401)->header('Content-Type', 'application/json');       
        }
        
        $input = $request->all(); 
        $email = $input['email']; 
        $new_password = rand(100000,999999);
        
        $msg = "Dear User, Your New password is :".$new_password;
        
        $msg1 = "New password sent Successfully";
        $msg2 = "This email not found in system";
        $msg3 = "Somthing is wrong";
        
        //-------------------Message------------------------------              
        $user_login = User::query()->where('email',$email)->get(); 
                    
        if(count($user_login)>0)    
        {
            $update['password'] = bcrypt($new_password); 

            $up_appointmentid = User::where('email', '=', $email)->update($update);
            
            ///--------------------------------------------------
            $to = $email;
            $from = "keshavprogrammer1@gmail.com"; //"keshavtest8@gmail.com";
            
            $line1 = "You forgot your password ?";
            $line2 = "No problem, here is a new one : ".$new_password;
            $subject = "Forgot password";

            $headers = "From: $from";
            $headers = "From: " . $from . "\r\n";
            $headers .= "Reply-To: ". $from . "\r\n";
            $headers .= "MIME-Version: 1.0\r\n";
            $headers .= "Content-Type: text/html; charset=UTF-8\r\n";
            
            $body = "<!DOCTYPE html><html lang='en'><head><meta charset='UTF-8'><title>Express Mail</title></head><body>";
            $body .= "<table style='width: 100%;'>";
            $body .= "<thead style='text-align: center;'><tr><td style='border:none;' colspan='2'>";
            $body .= "</td></tr></thead><tbody>";
            $body .= "<tr><td style='border:none;' align = 'center'>{$line1}</td></tr>";
            $body .= "<tr><td></td></tr>";
            $body .= "<tr><td style='border:none;'> </td></tr>";
            $body .= "<tr><td></td></tr>";
            $body .= "<tr><td colspan='2' style='border:none;' align = 'center'>{$line2}</td></tr>";
            $body .= "</tbody></table>";
            $body .= "</body></html>";
            
            if(1==1)//mail($to, $subject, $body, $headers))
            {
                return response(['status'=>1,'message'=>$msg1,'new_password'=>$new_password]); 
            }
            else
            {
                return response(['status'=>0,'message'=>$msg3]); 
            }
        }
        else
        {
            return response(['status'=>1,'message'=>$msg2]); 
        }
    }
    /* Register api */
    public function registerWithSocialMedia(Request $request) 
    { 
        $validator = Validator::make($request->all(), [ 
            'registration_type' => 'required',
            'social_id' => 'required',
            'social_token' => 'required',
        ]);
        if ($validator->fails()) { 
            return response()->json(['error'=>$validator->errors()], 401);            
        }
        $input = $request->all();  

        $tkn = md5(rand(1,999999));
        $input['userToken'] = $tkn;
        $input['status'] = 1;
        if(isset($input["profilePicture"])) 
        {
            $imagePath = $input["profilePicture"];
            $filename = rand(0000,9999).$imagePath->getClientOriginalName();
            $extension  = pathinfo($imagePath->getClientOriginalName(), PATHINFO_EXTENSION);
            $filename = rand(0000,9999)."profilePicture.".$extension;
            $upload_dir_path = public_path()."/uploads/profilePicture";
            $imagePath->move($upload_dir_path, $filename );  
            $input['profilePicture'] = $filename;          
        }

        //-------------------Message------------------------------
        
            $msg1 = "User Registered Successfully";
            $msg2 = "User not Registered Successfully";
            $msg3 = "User login Successfully";
        
        //-------------------Message------------------------------  
        $user_email = User::query()
                        ->where('social_id',$input['social_id'])
                        ->where('registration_type',$input['registration_type'])
                        ->get();

        if(count($user_email) <= 0)
        {
            /* Generate ID */
            $input['user_id'] = UseAutoIncrementID::getID('users');

            $user = User::create($input); 
            
            $success['userid'] =  $user->user_id;
            $success['userToken'] =  $user->userToken;
            $success['username'] =  $user->username;
            $success['email'] =  $user->email;
            $success['ConatctNo'] =  $user->phone;
            $success['registrationType'] =  $user->registration_type;
            $success['isActive'] =  $user->status;
            
            if($user->user_id > 0){
                return response()->json(['status'=>1,'message'=>$msg1,'result'=>$success]); 
            }
            else{
                return response()->json(['status'=>0,'message'=>$msg2]); 
            }
        }
        else
        {
            $update['userToken'] = $tkn;
            $user = User::where('id', '=', $user_email[0]->id)->update($update);
            
            $userData['userid'] =  $user_email[0]->user_id;
            $userData['username'] =  $user_email[0]->username;
            $userData['email'] =  $user_email[0]->email;
            $userData['ConatctNo'] =  $user_email[0]->phone;
            $userData['userToken'] =  $tkn;

            return response()->json(['status'=>1,'message'=>$msg3,'result'=>$userData]);
        }
    }
    public function getProfile(Request $request)
    { 
        $validator = Validator::make($request->all(), [
            'userId' => 'required', 
            'userToken' => 'required',  
            'profileId' => 'required',  
        ]);
        if ($validator->fails()) { 
            return response(['error'=>$validator->errors()], 401)->header('Content-Type', 'application/json');            
        }

        //-------------------Message------------------------------
        $msg1 = "Profile Found";
        $msg2 = "Profile Not Found";
        $msg3 = "You are not authorized please login again.";
        //-------------------Message------------------------------  

        $input = $request->all(); 
        $id = $input['userId']; 
        $profileId = $input['profileId'];          
        
        // Instantiate FunctionController

        $checkUserToken = User::query()
                      ->where('user_id',intval($input['userId']))
                      ->where('userToken',$input['userToken'])
                      ->get();

        /*$function_controller = new FunctionController;
        $verified_userToken = $function_controller->checkToken($input['userId'],$input['userToken']);
        if($input['userToken'] == $verified_userToken)//*/
        if(count($checkUserToken) > 0)
        {
            $return_array = array();
            $customer = User::query()
                      ->where('user_id',intval($profileId))
                      ->get();

            for ($c=0; $c < count($customer); $c++) 
            { 

                $return_array = array(
                    'userid' => $customer[$c]->user_id,
                    'username' => $customer[$c]->username,
                    'email' => $customer[$c]->email,
                    'ConatctNo' => $customer[$c]->phone,
                    'age' => $customer[$c]->age,
                    'gender' => $customer[$c]->gender,
                    'score' => $customer[$c]->score,
                );
            }

            if (count($return_array) > 0) 
            {
                return response()->json(['status'=>1,'message'=>$msg1,'result'=>$return_array]); 
            }
            else
            {
                return response()->json(['status'=>0,'message'=>$msg2]); 
            }
        }
        else
        {
            return response()->json(['status'=>0,'message'=>$msg3]); 
        }
    } 
    public function editUsername(Request $request)
    { 
        $validator = Validator::make($request->all(), [
            'userId' => 'required', 
            'userToken' => 'required',  
            'username' => 'required',  
        ]);
        if ($validator->fails()) { 
            return response(['error'=>$validator->errors()], 401)->header('Content-Type', 'application/json');            
        }

        //-------------------Message------------------------------
        $msg1 = "User Updated Successfully";
        $msg2 = "User Not Found";
        $msg3 = "You are not authorized please login again.";
        //-------------------Message------------------------------  

        $input = $request->all(); 
        $id = $input['userId']; 
        $username = $input['username'];          
        
        // Instantiate FunctionController

        $checkUserToken = User::query()
                      ->where('user_id',intval($input['userId']))
                      ->where('userToken',$input['userToken'])
                      ->get();

        /*$function_controller = new FunctionController;
        $verified_userToken = $function_controller->checkToken($input['userId'],$input['userToken']);
        if($input['userToken'] == $verified_userToken)//*/
        if(count($checkUserToken) > 0)
        {
            $return_array = User::query()
                      ->where('user_id',intval($input['userId']))
                      ->get();

            if (count($return_array) > 0) 
            {
                $update['username'] = $username;
                $user = User::where('user_id', '=', intval($input['userId']))->update($update);

                return response()->json(['status'=>1,'message'=>$msg1]); 
            }
            else
            {
                return response()->json(['status'=>0,'message'=>$msg2]); 
            }
        }
        else
        {
            return response()->json(['status'=>0,'message'=>$msg3]); 
        }
    }
    public function changePassword(Request $request)
    { 
        $validator = Validator::make($request->all(), [
            'userId' => 'required', 
            'userToken' => 'required',  
            'oldPassword' => 'required',  
            'newPassword' => 'required',  
        ]);
        if ($validator->fails()) { 
            return response(['error'=>$validator->errors()], 401)->header('Content-Type', 'application/json');            
        }

        //-------------------Message------------------------------
        $msg1 = "Password Updated Successfully";
        $msg2 = "User Not Found";
        $msg3 = "You are not authorized please login again.";
        $msg4 = "Old Password is not match with user please try agin.";
        //-------------------Message------------------------------  

        $input = $request->all(); 
        $id = $input['userId']; 
        $oldPassword = $input['oldPassword']; 
        $newPassword = $input['newPassword'];          
        
        // Instantiate FunctionController

        $checkUserToken = User::query()
                      ->where('user_id',intval($input['userId']))
                      ->where('userToken',$input['userToken'])
                      ->get();

        /*$function_controller = new FunctionController;
        $verified_userToken = $function_controller->checkToken($input['userId'],$input['userToken']);
        if($input['userToken'] == $verified_userToken)//*/
        if(count($checkUserToken) > 0)
        {
            $return_array = User::query()
                        ->where('user_id',intval($input['userId']))
                        ->get();

            if (count($return_array) > 0) 
            {
                $update['password'] = bcrypt($newPassword);;
                $user = User::where('user_id', '=', intval($input['userId']))->update($update);

                return response()->json(['status'=>1,'message'=>$msg1]); 
            }
            else
            {
                return response()->json(['status'=>1,'message'=>$msg4]);                 
            }
        }
        else
        {
            return response()->json(['status'=>0,'message'=>$msg3]); 
        }
    } 
    public function getStaticpage(Request $request)
    { 
        $validator = Validator::make($request->all(), [
            'userId' => 'required', 
            'userToken' => 'required',  
            'pageId' => 'required',  
        ]);
        if ($validator->fails()) { 
            return response(['error'=>$validator->errors()], 401)->header('Content-Type', 'application/json');            
        }

        //-------------------Message------------------------------
        $msg1 = "Page Found";
        $msg2 = "Page Not Found";
        $msg3 = "You are not authorized please login again.";
        //-------------------Message------------------------------  

        $input = $request->all(); 
        $id = $input['userId']; 
        $pageId = $input['pageId'];          
        
        // Instantiate FunctionController

        $checkUserToken = User::query()
                      ->where('user_id',intval($input['userId']))
                      ->where('userToken',$input['userToken'])
                      ->get();

        /*$function_controller = new FunctionController;
        $verified_userToken = $function_controller->checkToken($input['userId'],$input['userToken']);
        if($input['userToken'] == $verified_userToken)//*/
        if(count($checkUserToken) > 0)
        {
            $return_array = array();
            $customer = Staticpage::query()
                      ->where('page_id',intval($pageId))
                      ->get();

            for ($c=0; $c < count($customer); $c++) 
            { 

                $return_array = array(
                    'page_id' => $customer[$c]->page_id,
                    'title' => $customer[$c]->title,
                    'short_description' => $customer[$c]->short_description,
                    'description' => $customer[$c]->description,
                );
            }

            if (count($return_array) > 0) 
            {
                return response()->json(['status'=>1,'message'=>$msg1,'result'=>$return_array]); 
            }
            else
            {
                return response()->json(['status'=>0,'message'=>$msg2]); 
            }
        }
        else
        {
            return response()->json(['status'=>0,'message'=>$msg3]); 
        }
    } 
}
