<?php

namespace App\Http\Controllers\adminpanel;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Staticpage;
use Validator;
use Illuminate\Pagination\Paginator;
use App\Traits\UseAutoIncrementID;
use Illuminate\Support\Facades\DB;

class StaticpageController extends Controller
{
    public function edit($id) {
        
        $input = Staticpage::where('page_id', '=', intval($id))->get();
        $data = array('type'=>'edit', 'input'=>$input);
	    return view('adminpanel.staticpage', compact('data'));
	}

	public function update(Request $request) {
		$input = $request->all();
    
        $id = $input['id'];
        $validator = Validator::make( $input, $this->getRules('Edit', $input), $this->messages()); 
        
        /*if ($validator->fails()) { 
            $data = array('type'=>'Edit', 'input'=>$input, 'error'=>$validator->messages());
            return view('adminpanel.staticpage', compact('data'));
            exit();            
        }*/
        $update = array();
        $update["title"] = $input['title'];
        $update["short_description"] = $input['short_description'];
        $update["description"] = $input['description'];
        
        if(isset($input["image"])) {
            $imagePath = $input["image"];
            $filename = rand(0000,9999).$imagePath->getClientOriginalName();
            $extension  = pathinfo($imagePath->getClientOriginalName(), PATHINFO_EXTENSION);
            $filename = rand(0000,9999)."staticImage.".$extension;
            $upload_dir_path = public_path()."/uploads/staticImage";
            $imagePath->move($upload_dir_path, $filename );  
            $update['image'] = $filename;          
        }

        $category = Staticpage::where('page_id', '=', intval($id))->update($update);

        $input = Staticpage::where('page_id', '=', intval($id))->get();
        $data = array('type'=>'edit', 'input'=>$input);
	    //return view('adminpanel.staticpage', compact('data'))->with('success', 'Updated successfully.');

        return redirect('/adminpanel/staticpages/'.$id)->with('success', 'Updated successfully.');
        //return redirect()->route('adminpanel.staticpage.edit')->with('success', 'Updated successfully.');

	}

    private function getRules($type, $input) {
        $return = array();
        $return['description'] = 'required|max:3000';
       
        return $return;
    }

    private function messages() {
        return [
            'description.required'  => $this->getRequiredMessage('Page Description'),
            'description.max'  => $this->getGreaterMessage('Page Description', 3000),
        ];
    }

    private function getRequiredMessage($string) {
        return 'The ' . $string . ' field is required.';
    }

    private function getGreaterMessage($string, $maxchar) {
        return 'The ' . $string . ' may not be greater than ' . $maxchar . ' characters.';
    }
}
