<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
// use Illuminate\Foundation\Auth\User as Authenticatable;
use Jenssegers\Mongodb\Eloquent\Model as Eloquent;
use Illuminate\Auth\Authenticatable;
use Illuminate\Auth\Passwords\CanResetPassword;
use Illuminate\Foundation\Auth\Access\Authorizable;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;

class User extends Eloquent implements AuthenticatableContract
{
    use Notifiable;
    use Authenticatable;
    protected $guard = 'user';
    protected $collection = 'users';

    protected $primaryKey = "user_id";

    protected $fillable = [
        'user_id',
        'username',
        'email',
        'phone',
        'profilePicture',
        'social_id',
        'social_token',
        'age',
        'gender',
        'score',
        'userToken',
        'password',
        'register_type',
        'status',
    ];

    protected $hidden = [
        'password', 
        'remember_token',
    ];
}
