<?php

// use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('', function () {
    return redirect('/login');
})->name('index');

Route::get('/login', [ 'as' => 'login', 'uses' => 'AuthController@login']);
Route::get('/login', 'AuthController@login')->name('login');
//Route::get('/login', 'AuthController@login')->name('login');
Route::post('/login', 'AuthController@submitlogin')->name('submitlogin');
Route::get('/logout', 'AuthController@logout')->name('logout');

Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

Route::group(['middleware' => 'auth:admin'], function(){
	//Dashboard
	//Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

	//USER
	Route::get('/manageuser', 'UserController@manage')->name('user.manage');
	Route::get('/followers/{id}', 'UserController@followers')->name('user.followers');
	Route::get('/following/{id}', 'UserController@following')->name('user.following');
	Route::get('/adduser', 'UserController@add')->name('user.add');
	Route::post('/adduser', 'UserController@save')->name('user.save');
	Route::get('/edituser/{id}', 'UserController@edit')->name('user.edit');
	Route::post('/edituser', 'UserController@update')->name('user.update');
	Route::get('/deleteuser/{id}', 'UserController@delete')->name('user.delete');
	Route::get('/searchuser', 'UserController@search')->name('user.search');

	//CATEGORY
	Route::get('/managecategory', 'CategoryController@manage')->name('category.manage');
	Route::get('/addcategory', 'CategoryController@add')->name('category.add');
	Route::post('/addcategory', 'CategoryController@save')->name('category.save');
	Route::get('/editcategory/{id}', 'CategoryController@edit')->name('category.edit');
	Route::post('/editcategory', 'CategoryController@update')->name('category.update');
	Route::get('/deletecategory/{id}', 'CategoryController@delete')->name('category.delete');
	Route::get('/searchcategory', 'CategoryController@search')->name('category.search');

	//CATEGORY
	Route::get('/managesubcategory', 'SubcategoryController@manage')->name('subcategory.manage');
	Route::get('/addsubcategory', 'SubcategoryController@add')->name('subcategory.add');
	Route::post('/addsubcategory', 'SubcategoryController@save')->name('subcategory.save');
	Route::get('/editsubcategory/{id}', 'SubcategoryController@edit')->name('subcategory.edit');
	Route::post('/editsubcategory', 'SubcategoryController@update')->name('subcategory.update');
	Route::get('/deletesubcategory/{id}', 'SubcategoryController@delete')->name('subcategory.delete');
	Route::get('/searchsubcategory', 'SubcategoryController@search')->name('subcategory.search');

	//LOCATION
	Route::get('/managelocation', 'LocationController@manage')->name('location.manage');
	Route::get('/addlocation', 'LocationController@add')->name('location.add');
	Route::post('/addlocation', 'LocationController@save')->name('location.save');
	Route::get('/editlocation/{id}', 'LocationController@edit')->name('location.edit');
	Route::post('/editlocation', 'LocationController@update')->name('location.update');
	Route::get('/deletelocation/{id}', 'LocationController@delete')->name('location.delete');
	Route::get('/searchlocation', 'LocationController@search')->name('location.search');

	//BRAND
	Route::get('/managebrand', 'BrandController@manage')->name('brand.manage');
	Route::post('/ajaxGetSubCategory', 'BrandController@ajaxGetSubCategory')->name('ajaxGetSubCategory');
	Route::get('/addbrand', 'BrandController@add')->name('brand.add');
	Route::post('/addbrand', 'BrandController@save')->name('brand.save');
	Route::get('/editbrand/{id}', 'BrandController@edit')->name('brand.edit');
	Route::post('/editbrand', 'BrandController@update')->name('brand.update');
	Route::get('/deletebrand/{id}', 'BrandController@delete')->name('brand.delete');
	Route::get('/searchbrand', 'BrandController@search')->name('brand.search');

	//PACKAGE
	Route::get('/managepackage', 'PackageController@manage')->name('package.manage');
	Route::get('/addpackage', 'PackageController@add')->name('package.add');
	Route::post('/addpackage', 'PackageController@save')->name('package.save');
	Route::get('/editpackage/{id}', 'PackageController@edit')->name('package.edit');
	Route::post('/editpackage', 'PackageController@update')->name('package.update');
	Route::get('/deletepackage/{id}', 'PackageController@delete')->name('package.delete');
	Route::get('/searchpackage', 'PackageController@search')->name('package.search');

	//REPORT
	Route::get('/managereports', 'ReportController@manage')->name('report.manage');
	Route::get('/deletereports/{id}', 'ReportController@delete')->name('report.delete');
	Route::get('/approvereport/{id}', 'ReportController@approve')->name('report.approvepost');
	Route::get('/rejectreport/{id}', 'ReportController@reject')->name('report.rejectpost');

	//POST
	Route::get('/viewpost/{id}', 'PostController@view')->name('post.view');
	Route::get('/managependingpost', 'PostController@managependingpost')->name('post.managependingpost');
	Route::get('/managepost', 'PostController@manage')->name('post.manage');
	Route::post('/ajaxGetSubCategory', 'PostController@ajaxGetSubCategory')->name('ajaxGetSubCategory');
	Route::get('/addpost', 'PostController@add')->name('post.add');
	Route::post('/addpost', 'PostController@save')->name('post.save');
	Route::get('/postLocation/{id}', 'PostController@edit')->name('post.addlocation');
	Route::post('/postLocation', 'PostController@update')->name('post.savelocation');
	Route::get('/editpost/{id}', 'PostController@editpost')->name('post.edit');
	Route::get('/deletepost/{id}', 'PostController@delete')->name('post.delete');
	Route::get('/searchpost', 'PostController@search')->name('post.search');
	Route::get('/approvepost/{id}', 'PostController@approve')->name('post.approvepost');
	Route::get('/rejectpost/{id}', 'PostController@reject')->name('post.rejectpost');

	//houseforsale Subcategory of Properties
	Route::get('/houseforsale/{id}', 'HouseforsaleController@edit')->name('houseforsale.edit');
	Route::post('/houseforsale', 'HouseforsaleController@update')->name('houseforsale.update');

	//houseforrent Subcategory of Properties
	Route::get('/houseforrent/{id}', 'HouseforrentController@edit')->name('houseforrent.edit');
	Route::post('/houseforrent', 'HouseforrentController@update')->name('houseforrent.update');

	//officeforsale Subcategory of Properties
	Route::get('/officeforsale/{id}', 'OfficeforsaleController@edit')->name('officeforsale.edit');
	Route::post('/officeforsale', 'OfficeforsaleController@update')->name('officeforsale.update');

	//officeforrent Subcategory of Properties
	Route::get('/officeforrent/{id}', 'OfficeforrentController@edit')->name('officeforrent.edit');
	Route::post('/officeforrent', 'OfficeforrentController@update')->name('officeforrent.update');

	//plotsandland Subcategory of Properties
	Route::get('/plotsandland/{id}', 'PlotsandlandController@edit')->name('plotsandland.edit');
	Route::post('/plotsandland', 'PlotsandlandController@update')->name('plotsandland.update');

	//partyplot Subcategory of Properties
	Route::get('/partyplot/{id}', 'PartyplotController@edit')->name('partyplot.edit');
	Route::post('/partyplot', 'PartyplotController@update')->name('partyplot.update');

	//hotelsandresorts Subcategory of Properties
	Route::get('/hotelsandresorts/{id}', 'HotelsandresortsController@edit')->name('hotelsandresorts.edit');
	Route::post('/hotelsandresorts', 'HotelsandresortsController@update')->name('hotelsandresorts.update');

	//warehouse Subcategory of Properties
	Route::get('/warehouse/{id}', 'WarehouseController@edit')->name('warehouse.edit');
	Route::post('/warehouse', 'WarehouseController@update')->name('warehouse.update');

	//guesthouse Subcategory of Properties
	Route::get('/guesthouse/{id}', 'GuesthouseController@edit')->name('guesthouse.edit');
	Route::post('/guesthouse', 'GuesthouseController@update')->name('guesthouse.update');

	//STATIC PAGE
	Route::get('/staticpages/{id}', 'StaticpageController@edit')->name('staticpage.edit');
	Route::post('/staticpages', 'StaticpageController@update')->name('staticpage.update');

});

?>