<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo e(config('global.sitetitle')); ?> Adminpanel</title>
    <link href="<?php echo e(asset('adminpanel/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/slick.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/slick-theme.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/highcharts.css')); ?>" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/css/bootstrap4-toggle.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/fontawesome-all.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/flaticon.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/gijgo.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/tagsinput.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/jquery.bootstrap-touchspin.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/style2.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/responsive.css')); ?>" rel="stylesheet">
</head>

<body>

    <div id="sitemain">

        <!-- BEGIN :: DASHBOARD -->

        <div class="dashboard-main" id="dashboard">

            <?php echo $__env->make('adminpanel.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="dashboard-right-side-main">
                
                <?php echo $__env->make('adminpanel.include.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <?php
                $label = "Create";
                $username = "";
                $email = "";
                $password = "";
                $phone = "";
                $age = "";
                $score = "";
                $gender = "";
                $profilePicture = "";
                $image = "";
                $status = "";
                $id = "";
                $isError = false;
                $formRoute = 'adminpanel.user.save';
                if(isset($data['error'])) {
                    $isError = true;
                    if($data['type']=="Edit") {
                        $label = "Edit";
                        $formRoute = 'adminpanel.user.update';
                    }
                    $username = $data['input']['username'];
                    $email = $data['input']['email'];
                    $phone = $data['input']['phone'];
                    $password = $data['input']['password'];
                    $age = $data['input']['age'];
                    $gender = $data['input']['gender'];
                    $score = $data['input']['score'];
                    $status = $data['input']['status'];
                } else { 
                    if($data['type'] == "edit") {
                        $label = "Edit";
                        $username = $data['input'][0]->username;
                        $email = $data['input'][0]->email;
                        $phone = $data['input'][0]->phone;
                        $password = $data['input'][0]->password;
                        $age = $data['input'][0]->age;
                        $gender = $data['input'][0]->gender;
                        $score = $data['input'][0]->score;
                        $status = $data['input'][0]->status;
                        $image = $data['input'][0]->profilePicture;
                        $id = $data['input'][0]->user_id;
                        $formRoute = 'adminpanel.user.update';
                    }
                } 

                if ($gender == 'F') 
                {
                    $Fcheck = 'checked';
                    $Mcheck = '';
                }
                elseif ($gender == 'M') 
                {
                    $Fcheck = '';
                    $Mcheck = 'checked';
                }
                else
                {
                    $Fcheck = '';
                    $Mcheck = '';
                }

                if ($status == 1) 
                {
                    $status = 'true';
                }

                $profilePicture = URL::asset('images/default-user.jpg');
                if($image!="" && $image!=null) {
                    if(file_exists(public_path()."/uploads/profilePicture/".$image)) 
                    {
                        $profilePicture = URL::asset('uploads/profilePicture/'.$image);
                    }
                }

                ?>
                <div class="top-dashboard-title">
                    <div class="d-code-main">
                        <div class="d-title">
                            <h4><strong><?php echo e($label); ?> User</strong><span>|</span>Enter user details and submit </h4>
                        </div>
                    </div>
                </div>

                <div class="dashboard-content-main add-user-main">
                    <div class="add-user-one-main-content">
                        <?php if($errors->any()): ?>
                            <div class="error-message-box">                    
                                <p><?php echo e($errors->first()); ?></p>
                            </div>
                        <?php endif; ?>
                        <?php if($isError): ?>
                            <div class="error-message-box">
                                <?php foreach($data['error']->all() as $error) {
                                    echo "<p>". $error . "</p>";
                                } ?>
                            </div>
                        <?php endif; ?>
                        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

                            <?php echo e(Form::hidden(
                                'id', $id
                                )); ?>

                            <div class="user-pro-detail-main-content">
                                <div class="user-pro-detail-sub-content">
                                    <div class="user-pro-detail-main-content-title">
                                        <h1>User management:</h1>
                                    </div>
                                    <div class="user-pro-detail-content">
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>User Image</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                 <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                                    <img src="<?php echo e($profilePicture); ?>" id="useimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                                    <div class="button-wrapper">
                                                          <!-- <span class="label"><img src="<?php echo e(URL::asset('public/images/pencil-edit-button.svg')); ?>"></span> -->
                                                        <i class="fas fa-edit"></i><input type="file" name="profilePicture" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg')">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Username</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::text(
                                                    'username', $username, 
                                                    [
                                                        'class' => 'form-control', 
                                                        'placeholder' => 'Enter Username',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter phone no.</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::text(
                                                    'phone', $phone, 
                                                    [
                                                        'class' => 'form-control', 
                                                        'placeholder' => 'Enter phone no.',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter email address</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::email(
                                                    'email', $email, 
                                                    [
                                                        'class' => 'form-control', 
                                                        'placeholder' => 'Enter email address',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <?php if($label == "Create"): ?>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter password</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::password(
                                                    'password',  
                                                    [
                                                        'class' => 'form-control', 
                                                        'placeholder' => 'Enter password',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <?php endif; ?>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Age</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::number(
                                                    'age', $age, 
                                                    [
                                                        'class' => 'form-control', 
                                                        'placeholder' => 'Enter Age',
                                                        'required' => true,
                                                        'min' => 0
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Score</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::number(
                                                    'score', $score, 
                                                    [
                                                        'class' => 'form-control', 
                                                        'placeholder' => 'Enter Score',
                                                        'required' => true,
                                                        'min' => 0
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Gender</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <label class="ki-radio ki-radio-bold ki-radio-brand">
                                                    <input name="gender" type="radio" <?php echo e($Fcheck); ?> value="F"> Female
                                                    <span></span>
                                                </label>
                                                &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                                                <label class="ki-radio ki-radio-bold ki-radio-brand">
                                                    <input name="gender" type="radio" <?php echo e($Mcheck); ?> value="M"> Male
                                                    <span></span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Is Active</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::checkbox(
                                                    'status', '1', $status, 
                                                    [
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                    </div>

                                    <div class="next-step-btn-main">
                                        <?php echo e(Form::button(
                                            'Save',
                                            [
                                                'class' => 'next-step',
                                                'type' => 'submit'
                                            ]
                                            )); ?>

                                    </div>
                                </div>
                            </div>
                        <?php echo e(Form::close()); ?>

                    </div>
                </div>

                <?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            </div>

        </div>

        <!-- END** :: DASHBOARD -->

    </div>

    <div class="index-top-text-main">
        <div class="container">
            <div class="row">
                <div class="index-top-text-sub">
                    <h1></h1>
                    <p></p>
                </div>
            </div>
        </div>

    </div>

    <script src="<?php echo e(asset('adminpanel/js/jquery.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap-multiselectsplitter.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-touchspin/4.2.5/jquery.bootstrap-touchspin.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/slick.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/gijgo.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/tagsinput.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery.bootstrap-touchspin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/file-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/ckeditor/ckeditor.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/custom.js')); ?>"></script>

    <script>
        CKEDITOR.replace( 'description' );
    </script>

    <script>
        $('#datepicker').datepicker({
            uiLibrary: 'bootstrap4'
        });

        $('#datepicker1').datepicker({
            uiLibrary: 'bootstrap4'
        });

        $('#startDate').datepicker({
            uiLibrary: 'bootstrap4'
        });
        $('#endDate').datepicker({
            uiLibrary: 'bootstrap4'
        });
    </script>

    <script>
        $('#datetimepicker1').datetimepicker({

        });
    </script>
    <script>
        $(".dropdown-menu li a").click(function(){
          var selText = $(this).text();
          $(this).parents('.btn-group').find('.dropdown-toggle').html(selText+' <span class="caret"></span>');
        });

        $("#addChild").click(function() {
            var child_counter = $("#child_counter");
            var child_counter_val = child_counter.val();
            child_counter_val = parseInt(child_counter_val)+parseInt(1);
            child_counter.val(child_counter_val);
            var childContainer = $("#childContainer");
            var childForm = '<div class="user-pro-detail-content-dt-one" id="cfnameContainer'+child_counter_val+'"><div style="position: absolute; right: 25px; cursor: pointer;"><img onclick="funRemoveChild('+child_counter_val+')" title="Remove child" alt="Remove child" src="<?php echo e(asset('/adminpanel/images/close-circle-outline.png')); ?>" width="25" height="25" ></div><div class="user-pro-detail-content-left"><label>Enter child firstname</label></div><div class="user-pro-detail-content-right"><input type="text" name="cfname'+child_counter_val+'" class="form-control" placeholder="Enter child firstname" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="clnameContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Enter child lastname</label></div><div class="user-pro-detail-content-right"><input type="text" name="clname'+child_counter_val+'" class="form-control" placeholder="Enter child lastname" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="cgenderContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Select child gender</label></div><div class="user-pro-detail-content-right"><label class="ki-radio ki-radio-bold ki-radio-brand"><input checked="checked" name="cgender'+child_counter_val+'" type="radio" value="M"> Male<span></span></label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <label class="ki-radio ki-radio-bold ki-radio-brand"><input name="cgender1" type="radio" value="F"> Female<span></span></label></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="cbdateContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Select child birthdate</label></div><div class="user-pro-detail-content-right"><input class="form-control" id="datepicker'+child_counter_val+'" placeholder="Select child birthdate" name="cbdate'+child_counter_val+'" type="text" value="" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="chrContainer'+child_counter_val+'" style="padding-bottom: 0;"><hr style="width: 90%;"></div>';
            childForm += '<script id="scriptContainer'+child_counter_val+'">$("#datepicker'+child_counter_val+'").datepicker({uiLibrary: "bootstrap4"});<\/script>';
            childContainer.append(childForm);
        });

        var funRemoveChild = function(id) {
            console.log("ID: " + id);
            $("#cfnameContainer"+id).remove();
            $("#clnameContainer"+id).remove();
            $("#cgenderContainer"+id).remove();
            $("#cbdateContainer"+id).remove();
            $("#chrContainer"+id).remove();
            $("#scriptContainer"+id).remove();
        }
    </script>

</body>

</html><?php /**PATH C:\xampp\htdocs\rahul\resources\views/adminpanel/adduser.blade.php ENDPATH**/ ?>